## escape.manager

CMS da Escape para ser instalado com o Laravel 4. Instalação disponível via Composer.

### composer.json

Edite o seu arquivo `composer.json` adicionando o repositório do escape.manager.

```javascript
"require": {
   "escapework/manager": "dev-master" 
}, 

"repositories": [
    {
        "type": "git",
        "url": "git@github.com:escapecriativacao/escape.manager.git"
    }
]
```

Depois, rode o comando `composer update`.

### Publicando o pacote e suas configurações

Edite o arquivo `app/config/app.php`, adicionando a seguinte linha no array de providers: 

```php
    'EscapeWork\Manager\ManagerServiceProvider'
```

Depois de baixar o pacote, execute os seguintes comandos: 

- `$ php artisan config:publish escapework/manager`
- `$ php artisan asset:publish escapework/manager`
- `$ php artisan migrate --package="escapework/manager"`

Agora, precisamos executar os seeds, e criar o primeiro usuário. Para isso, abra o arquivo `app/database/seeds/DatabaseSeeder.php`, e adicione a seguinte linha: 

```php
# from package escapework/manager
$this->call('EscapeWork\Manager\UserTableSeeder');
```

Depois, executa o comando de seed.

`$ php artisan db:seed`

Altere o model utilizado pela classe de autenticação, alterando a linha no arquivo `app/config/auth.php`

```php
    'model' => 'EscapeWork\Manager\User',
```

Edite o arquivo `app/config/app.php`, alterando a key **Eloquent** do array **aliases**. Altere para `EscapeWork\LaravelHelpers\Eloquent`;

Agora, a URL `seudominio.dev/manager` já está disponível para acesso.

***

### Templates

Para extender o layout master, utilize da seguinte forma: 

```php
@extends('manager::layouts.master')

@section('styles')
    <link href="/css" rel="stylesheet" type="text/css" />
@stop

@section('content')
    Contúdo da página
@stop

@section('scripts')
    <script src="/js" type="text/javascript"></script>
@stop
```

***

#### Dependências

O **escape.manager** utiliza os seguintes componentes: 

- [EscapeWork/Msg](https://github.com/EscapeWork/Msg)
- [EscapeWork/LaravelHelpers](https://github.com/EscapeWork/LaravelHelpers)