<?php namespace EscapeWork\Manager;

use \Controller, \View, \Msg, \Input, \Auth, \Redirect, \Hash;

class LoginController extends Controller
{

    /**
     * Exibindo a tela de login
     */
    public function index()
    {
        if( Auth::check() )
        {
            return Redirect::to( Config::get('manager::url') );
        }

        return View::make('manager::login');
    }

    /**
     * Fazendo o login
     */
    public function login()
    {
        $credentials = array(
            'email'    => Input::get('email'), 
            'password' => Input::get('password')
        );

        if( Auth::attempt( $credentials ) )
        {
            # verificando se usuário quer ter seu login lembrado
            if( Input::get('remember') == 1 )
            {
                Auth::login( Auth::user()->id, true );
            }

            return Redirect::route('manager.home')->with('message', 'Login efetuado com sucesso!');
        }
        else
        {
            return Redirect::route('manager.login')->with('error', 'Login e/ou senha inválidos');
        }
    }

    /**
     * Logout
     */
    public function logout()
    {
        Auth::logout();

        return Redirect::route('manager.home')
                ->with('info', 'Você foi deslogado do sistema');
    }
}