<?php namespace EscapeWork\Manager;

use \Controller;
use \View;
use \Input;
use \Redirect;

class UserController extends Controller
{

    public function index()
    {
        $view        = View::make('manager::users.index');
        $view->users = User::all();

        return $view;
    }

    public function create()
    {
        Msg::setInfo('Inserindo um novo usuário');

        $view       = View::make('manager::users.form');
        $view->user = User::getDataFromArray( Input::old() );
        $view->edit = false;

        return $view;
    }

    public function store()
    {
        $fields = Input::all();

        if( User::validate( $fields ) === false )
        {
            return Redirect::to( Config::get('manager::url') . '/usuarios/create' )
                    ->withInput()
                    ->withErrors( User::$messages );
        }

        $user = User::create( $fields );

        return Redirect::to( Config::get('manager::url') . '/usuarios' )->with('message', 'O usuário <strong>' . $user->name . '</strong> foi inserido com sucesso!');
    }

    public function show($id)
    {
        return 'Showing ' . $id . ' user';
    }

    public function edit($id)
    {
        return 'Editing ' . $id . ' user';
    }

    public function update($id)
    {
        return 'Updating ' . $id . ' user';
    }

    public function destroy($id)
    {
        return 'Destroying ' . $id . ' user';
    }
}