<?php 
/**
 * Rotas padrões dos pacotes 
 *
 * @author  Luís Dalmolin <luis@escape.ppg.br>
 */


# filtro de login do manager 
Route::filter('manager.auth', function()
{
    if (Auth::guest()) return Redirect::route('manager.login');
});


# ==================================================================
# login 
# ==================================================================
Route::get( Config::get('manager::url') . '/login', array('as' => 'manager.login', 'uses' => 'EscapeWork\Manager\LoginController@index'));
Route::post( Config::get('manager::url') . '/login', 'EscapeWork\Manager\LoginController@login');
Route::get( Config::get('manager::url') . '/logout', array('as' => 'manager.logout', 'uses' => 'EscapeWork\Manager\LoginController@logout'));


# grupo que precisa de autenticação 
Route::group(array('before' => 'manager.auth'), function()
{
    # ==================================================================
    # home 
    # ==================================================================
    Route::get( Config::get('manager::url'), array('as' => 'manager.home', function() 
    {
        return View::make('manager::home');
    }));

    # usuários 
    Route::resource( Config::get('manager::url') . '/usuarios', 'EscapeWork\Manager\UserController');
});