<!doctype html>
<html lang="pt-BR">
<head>
    <meta charset="UTF-8" />
    <title>{{ Config::get('manager::title') }}</title>
    
    <!-- CSS -->     
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="/packages/escapework/manager/assets/css/vendor/bootstrap/bootstrap.min.css" />
    <link rel="stylesheet" href="/packages/escapework/manager/assets/css/vendor/bootstrap/bootstrap-responsive.min.css" />
    <link rel="stylesheet" href="/packages/escapework/manager/assets/css/main.css" />
    @yield('styles')
</head>
<body>
    <div class="navbar navbar-inverse">
        <div class="navbar-inner">
            <a class="brand" href="/">escape.manager</a>
            
            <ul class="nav">
                
            </ul>
            
            @if( !Auth::guest() )
                <ul class="nav pull-right">
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            {{ Auth::user()->name }} &nbsp;
                            <b class="caret"></b>
                        </a>

                        <ul class="dropdown-menu">
                            <li><a href="/admin/logout">Sair</a></li>
                        </ul>
                    </li>
                </ul>
            @endif
        </div>
    </div><!-- .navbar --> 

    <div class="container">
        <section class="content">
            @yield('content')
        </section><!-- .content --> 
    </div><!-- .container --> 


    <!-- ======================================================================== 
         Componentes utilizados via JS 
         ======================================================================== --> 
    <div id="modal-delete" class="modal hide fade">
        <div class="modal-header">
            <a href="#" class="close" data-dismiss="modal">&times;</a>
            <h3>Confirmação</h3>
        </div>

        <div class="modal-body">
            <p>Confirma a exclusão do item?</p>
        </div>

        <div class="modal-footer">
            <a href="#" class="btn btn-danger" id="btn-confirm-delete">Excluir</a>
            <a href="#" class="btn btn-primary btn-close-modal" data-dismiss="modal">Cancelar</a>
        </div>
    </div>

    <form action="#" class="hide" id="form-delete" method="post">
        <input type="hidden" name="_method" value="delete" />
    </form>


    <!-- ======================================================================== 
         JS 
         ======================================================================== --> 
    <!-- plugins JS --> 
    <script type="text/javascript" src="/packages/escapework/manager/assets/js/vendor/jquery.js"></script>
    <script type="text/javascript" src="/packages/escapework/manager/assets/js/vendor/bootstrap/bootstrap.min.js"></script>
    <script type="text/javascript" src="/assets/js/manager/main.js"></script>
    @yield('scripts')
</body>
</html>